#pragma once

#include <unordered_map>
#include <GL/glew.h>
#include "ShaderProgram.hpp"
#include <string>

using namespace std;

namespace cg_engine {
	class Config {
		private:
			unordered_map<string, ShaderProgram> shaders;
			unordered_map<string, GLuint> textures;
			string music;
		public:
			Config(char *filename);
			~Config();
			string getMusic();
			ShaderProgram getShader(string shadername);
			GLuint getTexture(string texturename);
	};
}
