#pragma once
#include <vector>
#include <GL/glew.h>
#include "Character.hpp"

namespace cg_engine {
	class PString {
		private:
			std::vector<Character*> str;
		public:
			PString();
			~PString();
			void addChar(Character *chr);
			void draw();
			void update(double time);
			void unify(double dx, double dy, double dz);
			void noreborn();
	};
}
