#pragma once
#include <GL/glew.h>
#include <vector>
#include "Particle.hpp"

namespace cg_engine {
	class Character {
		private:
			std::vector<Particle*> particles;
		public:
			Character(GLfloat x, GLfloat y, GLfloat z, GLfloat dim, int *mask, int masklen);
			~Character();
			void draw();
			void update(double time);
			void unify(double dx, double dy, double dz);
			void noreborn();
	};
}
